<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>File Manager</title>
    <link href="index.css" type="text/css" rel="stylesheet">
    <script type="text/javascript" src="./indexFunctions.js"></script>
</head>
<link href="FileManager.css" type="text/css" rel="stylesheet">
<script type="text/javascript" src="./indexFunctions.js"></script>
<div class="Header">
    <div class="Header">
        <h2 id="title" onclick="goHome()">If I Fits I Sits</h2>
        <div class="nav_bar">
            <a class="link" href="index.html">Home</a>&nbsp|&nbsp
            <a class="link" href="FileManager.html">Files</a>&nbsp|&nbsp
            <a class="link" href="Help.html">Help</a>
        </div>
    </div>
</div>
<body id="file_mgmt_body">
    <div id="page">
        <form action="upload" method="post" enctype="multipart/form-data" id="file_upload">
            Select txt to upload:
            <input type="file" name="fileToUpload">
            <input class="btn" type="submit" value="Upload file">
        </form>
        <p>Current files:</p>
        <ul id="file_list">
            {{#filelist}}
            <li>
                <div class="fileName">
                - {{.}}
                </div>
                <div class="options">
                    <button class="btn" onclick="loadFile('{{.}}')" id="load_file">load</button>
                    <button class="btn" onclick="downloadFile('{{.}}')" id="download_file">download</button>
                    <button class="btn" onclick="deleteFile('{{.}}')" id="delete_file">delete</button>
                </div>
            </li>
            {{/filelist}}
        </ul>
    </div>
</body>